Bug 987067 - [rhevm installation otopi engine-setup-2] please omit some log messages from stdout and log them only in ovirt-engine-setup.log
[rhevm installation otopi engine-setup-2] please omit some log messages from ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
Tareq Alayan
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 11:52 EDT by Tareq Alayan
Modified: 2015-09-22 09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 04:52:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tareq Alayan 2013-07-22 11:52:03 EDT
Description of problem:
when running engine-setup-2 

there are some messages like: 

[ INFO  ] Stage: Transaction commit
[ INFO  ] Stage: Closing upe

[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Stage: Misc configuration

these message aren't very informative for the end user. 
I don't think there is need that the be logged

Version-Release number of selected component (if applicable):
is6

How reproducible:
always
Comment 1 Alon Bar-Lev 2013-07-22 16:13:29 EDT
These are helpful in two ways:

1. Users sees progress.

2. Support can have the text and know to assist without getting into the logs.

So I suggest to leave it as-is.
Comment 2 Tareq Alayan 2013-07-23 03:33:56 EDT
I sorry, i don't agree with you.
I don't see how the below messages:
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Stage: Misc configuration

or 
[ INFO  ] Stage: Transaction commit
[ INFO  ] Stage: Closing upe


assists the user in anyway. In addition when looking into the log
 /tmp/ovirt-engine-setup-20130722175005.log
I don't any helpfull data related to pre-termination and termination for the enduser.
2013-07-22 18:34:10 INFO otopi.context context.runSequence:362 Stage: Pre-termination
2013-07-22 18:34:10 DEBUG otopi.context context.runSequence:366 STAGE pre-terminate
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:118 Stage pre-terminate METHOD otopi.plugins.otopi.dialog.cli.Plugin._pre_terminate
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:124 condition False
2013-07-22 18:34:10 INFO otopi.context context.runSequence:362 Stage: Termination
2013-07-22 18:34:10 DEBUG otopi.context context.runSequence:366 STAGE terminate
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:118 Stage terminate METHOD otopi.plugins.otopi.dialog.machine.Plugin._terminate
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:124 condition False
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:118 Stage terminate METHOD otopi.plugins.otopi.dialog.human.Plugin._terminate
2013-07-22 18:34:10 DEBUG otopi.context context._executeMethod:118 Stage terminate METHOD otopi.plugins.otopi.core.log.Plugin._terminate


I suggest in the console when running the different stages to add a status [OK] [Failed] similar to the linux bootup screen. 

for example instaed of Misc Configuration use configureing iptables.....[OK]

this way the end user have a clue what is done and he can go to logs and try to get more information.

Note You need to log in before you can comment on or make changes to this bug.